Skip to main content
POST
ClickStack: Create Connection
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

ClickStack: Creates a new ClickHouse connection

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the ClickStack service.

Body

application/json
name
string
required

Display name for the connection.

Example:

"Production ClickHouse"

host
string
required

ClickHouse HTTP endpoint URL.

Example:

"https://clickhouse.example.com:8443"

username
string
required

ClickHouse username.

Example:

"default"

password
string

ClickHouse password. Never returned by the API.

Example:

"my-secret-password"

hyperdxSettingPrefix
string | null

Optional prefix for HyperDX-specific ClickHouse settings. Must only contain alphanumeric characters and underscores.

Example:

"hyperdx_"

isPrometheusEndpoint
boolean

Optional. When true, host is treated as a Prometheus-compatible API endpoint (e.g. Prometheus or Thanos) and PromQL queries are proxied to it. When false or omitted, host is a ClickHouse HTTP endpoint.

Example:

false

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on July 22, 2026